com.google.gwt.core.client

## Class JsArrayString

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.core.client.JsArrayString

    public class JsArrayString
    extends JavaScriptObject

A simple wrapper around a homogeneous native array of string values. This class may not be directly instantiated, and can only be returned from a native method. For example, `native JsArrayString getNativeArray() /*-{ return ['foo', 'bar', 'baz']; }-* /;`

### Constructor Summary

Constructors
`protected` `JsArrayString()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `get(int index)` Gets the value at a given index.
`java.lang.String` `join()` Convert each element of the array to a String and join them with a comma separator.
`java.lang.String` `join(java.lang.String separator)` Convert each element of the array to a String and join them with a comma separator.
`int` `length()` Gets the length of the array.
`void` `push(java.lang.String value)` Pushes the given value onto the end of the array.
`void` `set(int index, java.lang.String value)` Sets the value value at a given index.
`void` `setLength(int newLength)` Reset the length of the array.
`java.lang.String` `shift()` Shifts the first value off the array.
`void` `unshift(java.lang.String value)` Shifts a value onto the beginning of the array.

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JsArrayString

    protected JsArrayString()

### Method Detail

#### get

    public final java.lang.String get(int index)

Gets the value at a given index.

Parameters:
  `index` - the index to be retrieved
Returns:
  the value at the given index, or `null` if none exists

#### join

    public final java.lang.String join()

Convert each element of the array to a String and join them with a comma separator. The value returned from this method may vary between browsers based on how JavaScript values are converted into strings.

#### join

    public final java.lang.String join(java.lang.String separator)

Convert each element of the array to a String and join them with a comma separator. The value returned from this method may vary between browsers based on how JavaScript values are converted into strings.

#### length

    public final int length()

Gets the length of the array.

Returns:
  the array length

#### push

    public final void push(java.lang.String value)

Pushes the given value onto the end of the array.

#### set

    public final void set(int index,
                          java.lang.String value)

Sets the value value at a given index. If the index is out of bounds, the value will still be set. The array's length will be updated to encompass the bounds implied by the added value.

Parameters:
  `index` - the index to be set
  `value` - the value to be stored

#### setLength

    public final void setLength(int newLength)

Reset the length of the array.

Parameters:
  `newLength` - the new length of the array

#### shift

    public final java.lang.String shift()

Shifts the first value off the array.

Returns:
  the shifted value

#### unshift

    public final void unshift(java.lang.String value)

Shifts a value onto the beginning of the array.

Parameters:
  `value` - the value to the stored